classification
Title: Update stdlib to use ModuleNotFoundError
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, jcea, python-dev
Priority: normal Keywords: easy, patch

Created on 2013-06-12 21:01 by brett.cannon, last changed 2013-07-05 13:20 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
use_ModuleNotFoundError.diff brett.cannon, 2013-06-13 03:40 review
Messages (8)
msg191047 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-12 21:01
The common idiom::

 try:
  import something
 except ImportError:
  pass

should be updated to use ModuleNotFoundError instead to not accidentally swallow ImportError exceptions which signal actual errors.
msg191053 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-13 01:30
Changeset 84105:281857369a78 and 84106:c4d7228421df have some updates to use ModuleNotFoundError.
msg191056 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-13 03:40
Here is a patch that uses ModuleNotFoundError in the stdlib sans test modules.
msg191100 - (view) Author: Roundup Robot (python-dev) Date: 2013-06-14 00:57
New changeset 8d28d44f3a9a by Brett Cannon in branch 'default':
Issue #18200: Update the stdlib (except tests) to use
http://hg.python.org/cpython/rev/8d28d44f3a9a
msg192308 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-07-04 19:30
As ModuleNotFoundError is going to be reverted so should the changesets for this issue.
msg192319 - (view) Author: Roundup Robot (python-dev) Date: 2013-07-04 22:16
New changeset 7769c4d72806 by Brett Cannon in branch 'default':
Issue #18200: Back out usage of ModuleNotFoundError (8d28d44f3a9a)
http://hg.python.org/cpython/rev/7769c4d72806
msg192326 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2013-07-05 02:44
> As ModuleNotFoundError is going to be reverted so should the changesets for this issue.

Could you possibly clarify this?. Pointers?
msg192332 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-07-05 13:20
Discussion occurred on http://bugs.python.org/issue15767
History
Date User Action Args
2013-07-05 13:20:15brett.cannonsetmessages: + msg192332
2013-07-05 02:44:25jceasetmessages: + msg192326
2013-07-04 22:16:59brett.cannonsetstatus: open -> closed
resolution: rejected
2013-07-04 22:16:30python-devsetmessages: + msg192319
2013-07-04 19:36:36brett.cannonlinkissue15767 dependencies
2013-07-04 19:36:23brett.cannonsetdependencies: - add ModuleNotFoundError
2013-07-04 19:30:15brett.cannonsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg192308
2013-06-14 00:58:49brett.cannonsetassignee: brett.cannon
2013-06-14 00:57:51brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-06-14 00:57:39python-devsetnosy: + python-dev
messages: + msg191100
2013-06-13 03:40:57brett.cannonsetstage: needs patch -> patch review
2013-06-13 03:40:47brett.cannonsetfiles: + use_ModuleNotFoundError.diff
keywords: + patch
messages: + msg191056
2013-06-13 01:30:19brett.cannonsetmessages: + msg191053
2013-06-13 00:46:19jceasetnosy: + jcea
2013-06-12 21:01:54brett.cannonsetdependencies: + add ModuleNotFoundError
2013-06-12 21:01:48brett.cannoncreate